Subject: Re: Cisco SG16: Annex E comments

From: Tom-PT Taylor <[email-masked]>
Date: Wed, 2 Feb 2000 14:17:33 -0600

Another issue, which has been discussed.  The package is broken as it stands
-- the MGC cannot tell whether the da-dd events are supported.  We have
three alternatives: the two Chip proposes, or keep things as they are and
add a global read-only property which indicates whether da-dd are supported.
I favour making support of da-dd mandatory, on the ground that the phone
types served by the MG are independent of the MG itself.

> -----Original Message-----
> From: Chip Sharp [SMTP:[email-masked]]
> Sent: Tuesday, January 25, 2000 8:18 PM
        [[TomT]]  snip
> Section:        E.4
> Category:       Technical
> Issue:          The draft text specifies that "Support of dA-dD is
> optional".
> Having optional events in a package tends to defeat the purpose of
> packages
> in the first place.
> Proposal:       It is recommended that either support for the signals
> become
> mandatory or they are provided in a separate package.
>
> v13 Status:     OPEN. No relevant text changed.
>
>

---

From: "Rosen, Brian" <[email-masked]>
Date: Thu, 3 Feb 2000 09:07:04 -0500

I'm okay with making da-dd mandatory.  I suppose it's a residential GW
and/or IPPhone that might care.
The packetcable stuff makes it mandatory, right?  Any reaction from the
IPPhone folks?

Brian

        -----Original Message-----
From:   Chip Sharp [SMTP:[email-masked]]
Sent:   Tuesday, January 25, 2000 8:18 PM
[[TomT]]  snip
Section:        E.4
Category:       Technical
Issue:          The draft text specifies that "Support of dA-dD is
optional".
Having optional events in a package tends to defeat the purpose of packages
in the first place.
Proposal:       It is recommended that either support for the signals become

---

From: Tom-PT Taylor <[email-masked]>
Date: Fri, 4 Feb 2000 21:56:38 -0500

I don't think the SDP is too difficult -- I think there's even the odd
designbation of codec with silence suppression in RFC 1890.  If not, it can
be an attribute: a=fmtp: net/ss, for example, except that it shouldn't be in
net.

I'm more concerned at this point about what effect specifying silence
suppression is intended to have.  Does it tell the MG to expect comfort
noise in incoming packets, does it tell it to take out silence and replace
it with comfort noise in outgoing packets, or both?

> From: Flemming Andreasen [SMTP:[email-masked]]
> Sent: Friday, February 04, 2000 9:49 PM
>
>               [[TomT]]  snip
>
>               Section:        E.11.1
>       Category:       Technical
>       Issue:          The draft text specifies that "silence suppression"
> is a property
>       of the DS0 package. However silence suppression relates to the
> encoding
>       method and as such should be a property of each packet based
> termination.
>       For example, if a three-way call is established with one DS0
> termination,
>       and two RTP terminations, it is conceivable that one of the RTP
>       terminations would like to use silence suppression while the other
> would
>       not (or cannot for that matter as not all codecs support silence
>       suppression).
>       Proposal:       It is recommended that the "silence suppression"
> property is
>       moved from the DS0 package to the "network package"
>
>               v13 Status:     SEMI-OPEN. Silence suppression has been
> removed, but it has not
>       been added anywhere else (except for Annex C.1 which defines it as a
>
>       General Media Attribute).
>
>               [[TomT]]  Yes, guess we need it.  I assume it's a property
> to go into LocalControl -- the far end doesn't need to know about it in
> advance.  Am I wrong?
>
>
> No, I think you have a point here. It's not a general network property but
> a codec property, and consequently it shouldn't be in the "network
> package". Come to think of it, "Local" rather than "LocalControl" would
> seem the best fit, but not quite sure what that would look like in SDP.
>
>
>
>               Support NetAid!  <http://www.netaid.org>
>       --------------------------------------------------
>       Chip Sharp                 Consulting Engineering
>       Cisco Systems              Telco Bio-region
>       Reality - Love it or Leave it.
>       --------------------------------------------------
>
> --
> ---------------------------------------
> Flemming Andreasen
> Cisco Systems
> ---------------------------------------
>

---

From: "Rupsis, Paul" <[email-masked]>
Date: Thu, 10 Feb 2000 15:54:36 -0500

Following up on the package format issue:

   Section:        E.1.3, E.3.3, E.5.3, E.7.3
   Category:       Technical, Editorial
   Issue:          The draft text does not follow the package format
   specified in Section 12.1.4. More specifically, neither SignalType
   nor Duration is specified.
   Proposal:       It is recommended that SignalType and Duration are
specified.
   v13 Status:     OPEN. No text changed.

All the properties of the Base Root Package (Section E.2.1) except one are
not defined in a Descriptor.

Am I correct in my understanding that packages defining new properties must
define those properties to be in an existing descriptor? Otherwise, I can't
see how syntactically an MGC could modify or even audit the package's
property values.

Paul Rupsis
Dialogic, an Intel Company